Bug 22174 - Request to add Called/Calling buttons to the Debugger Full toolbar
Request to add Called/Calling buttons to the Debugger Full toolbar
Status: CLOSED FIXED
Product: debugger
Classification: Unclassified
Component: Code
3.x
PC Windows ME/2000
: P3 (vote)
: TBD
Assigned To: David-john Burrowes
issues@debugger
:
Depends on:
Blocks: 19865
  Show dependency treegraph
 
Reported: 2002-04-07 20:52 UTC by eadams
Modified: 2010-04-29 09:09 UTC (History)
1 user (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description eadams 2002-04-07 20:52:56 UTC
I use the Go To Called Method and Go To Calling Method buttons alot
when I debug.  I don't think I'm alone.

I'ld like to see them on the Debugger Full toolbar by default.

Ideally only one button would be needed as I use Go To Calling much
more often.  Its probably against all UI guidelines but a thought is
to offer just one button.  By default, it executes Go To Calling, if the
Shift key is depressed, then it executes Go To Called.
Comment 1 Jan Jancura 2002-04-08 17:48:06 UTC
depends on debugger menu / toolbar redesign,
assigned to our UI team
Comment 2 David-john Burrowes 2002-04-15 22:15:19 UTC
As Jan said, the toolbar is being redesigned.  but, I don't think I like the shift key idea.  it seems a little too 
complex for the times when one would be using the toolbar.  Probably we should have both buttons there.
Comment 3 Marek Grummich 2002-07-22 08:59:17 UTC
Target milestone was changed from '3.4' to TBD.
Comment 4 Marek Grummich 2002-07-22 09:02:04 UTC
Target milestone was changed from '3.4' to TBD.
Comment 5 David-john Burrowes 2002-07-22 21:07:48 UTC
For the moment we've opted not to do this in the toolbar with the
belief that the stack view provides the same (and more general)
functionality just about as quickly.  We'll be keeping our ears/eyes
open for feedback to the contrary, though.
Comment 6 Quality Engineering 2010-04-29 09:09:55 UTC
Verified ... and Closing all issues resolved into NetBeans 6.7 and earlier.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo